Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

removed upper bound on quickcheck in test-framework-quickcheck2 #48

Open
wants to merge 1 commit into
from

Conversation

Projects
None yet
4 participants

creswick commented Apr 3, 2013

The upper bound on quickcheck < 2.6 was causing cabal to resolve back to test-framework-quickcheck2-0.2.4 (or thereabouts) which no longer builds.

This change fixes that, but without knowing why the upperbound was introduced, I'm not sure if removing it will cause other problems.

@batterseapower Can you please apply this or at least bump the upper bound to 2.6?

nomeata commented May 29, 2013

Hi.

This makes test-framework incompatible with the the haskell platform. Can we have a compatibe upload to Hackage soon?

Thanks,
Joachim

nomeata commented Jun 4, 2013

Any news on this front? Note that this is also filed as #50.

nomeata commented Jun 10, 2013

Just checking: What is the maintenance status of test-framework?

Contributor

bos commented Oct 9, 2013

This is fixed in haskell/test-framework.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment